Search documentation of Localize

# Localize.LanguageTag.U (Localize v0.39.0)

Copy Markdown View Source

Defines the struct for the BCP 47 `u` extension.

## Summary

### Types

t()

Defines the BCP 47 `u` extension of a `t:Localize.LanguageTag`.

### Functions

encode(u_extension)

## Types

# t()

    @type t() :: %Localize.LanguageTag.U{
      ca: atom(),
      cf: atom(),
      co: atom(),
      cu: atom(),
      dx: atom(),
      em: atom(),
      fw: atom(),
      hc: atom(),
      ka: atom(),
      kb: atom(),
      kc: atom(),
      kf: atom(),
      kh: atom(),
      kk: atom(),
      kn: atom(),
      kr: atom(),
      ks: atom(),
      kv: atom(),
      lb: atom(),
      lw: atom(),
      ms: atom(),
      mu: atom(),
      nu: atom(),
      rg: atom(),
      sd: atom(),
      ss: atom(),
      tz: atom(),
      va: atom(),
      vt: atom()
    }

Defines the BCP 47 `u` extension of a `t:Localize.LanguageTag`.

## Functions

# encode(u_extension)